Loading...
Searching...
No Matches
mboard_eeprom.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`
Include dependency graph for mboard_eeprom.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct uhd_mboard_eeprom_t * | uhd_mboard_eeprom_handle
| A C-level interface for interacting with a USRP motherboard's EEPROM.

## Functions

UHD_API uhd_error | uhd_mboard_eeprom_make (uhd_mboard_eeprom_handle *h)
| Create a handle for working with a USRP motherboard EEPROM.
UHD_API uhd_error | uhd_mboard_eeprom_free (uhd_mboard_eeprom_handle *h)
| Free a USRP motherboard EEPROM handle.
UHD_API uhd_error | uhd_mboard_eeprom_get_value (uhd_mboard_eeprom_handle h, const char *key, char *value_out, size_t strbuffer_len)
| Get the value associated with the given EEPROM key.
UHD_API uhd_error | uhd_mboard_eeprom_set_value (uhd_mboard_eeprom_handle h, const char *key, const char *value)
| Set the value for the given EEPROM key.
UHD_API uhd_error | uhd_mboard_eeprom_last_error (uhd_mboard_eeprom_handle h, char *error_out, size_t strbuffer_len)
| Get the last error recorded by the handle.

## Typedef Documentation

## uhd_mboard_eeprom_handle

typedef struct uhd_mboard_eeprom_t* uhd_mboard_eeprom_handle

A C-level interface for interacting with a USRP motherboard's EEPROM.

See uhd::usrp::mboard_eeprom_t for more details.

NOTE: Using a handle before passing it into uhd_mboard_eeprom_make() will result in undefined behavior.

## Function Documentation

## uhd_mboard_eeprom_free()

UHD_API uhd_error uhd_mboard_eeprom_free | ( | uhd_mboard_eeprom_handle * | h | ) |

Free a USRP motherboard EEPROM handle.

NOTE: Using a handle after passing it into this function will result in a segmentation fault.

## uhd_mboard_eeprom_get_value()

UHD_API uhd_error uhd_mboard_eeprom_get_value | ( | uhd_mboard_eeprom_handle | h,
|  | const char * | key,
|  | char * | value_out,
|  | size_t | strbuffer_len )

Get the value associated with the given EEPROM key.

## uhd_mboard_eeprom_last_error()

UHD_API uhd_error uhd_mboard_eeprom_last_error | ( | uhd_mboard_eeprom_handle | h,
|  | char * | error_out,
|  | size_t | strbuffer_len )

Get the last error recorded by the handle.

## uhd_mboard_eeprom_make()

UHD_API uhd_error uhd_mboard_eeprom_make | ( | uhd_mboard_eeprom_handle * | h | ) |

Create a handle for working with a USRP motherboard EEPROM.

## uhd_mboard_eeprom_set_value()

UHD_API uhd_error uhd_mboard_eeprom_set_value | ( | uhd_mboard_eeprom_handle | h,
|  | const char * | key,
|  | const char * | value )

Set the value for the given EEPROM key.